View unanswered posts | View active topics It is currently Tue Mar 20, 2018 5:24 am

Reply to topic  [ 6 posts ] 
 devkitARM release 42 and associated libraries. 
Author Message
Site Admin

Joined: Tue Aug 09, 2005 3:21 am
Posts: 1214
Location: UK
New binaries for devkitARM release 42 and libnds 1.5.8 are now available through the Automated Installer/Updater if you're on windows, for other platforms check the devkitARM getting started page on the wiki.

devkitARM release 42
  • binutils updated to 2.24.
  • gcc updated to 4.8.2.
  • newlib updated to 2.1.0.

libnds 1.5.8
  • Added glLockVRAMBank and glUnlockVRAMBank to assist with texture management.
  • Better detection of savegame chips < 64KB.
  • Added functions for more granualar control of OAM.
  • Added simple API for sprite windowing.
  • sassert now accepts format strings.

libfat 1.0.12
  • Fix for finding "." and ".." from root.

libfilesystem 0.9.11
  • fixed memory leak in nitroFSOpen.

dswifi 0.3.16
  • Source code fixes for case sensitivity and latest tools.

default arm7 0.5.25
  • Rebuilt with latest libraries.

Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Fri Apr 04, 2014 2:48 pm
Profile ICQ WWW

Joined: Sat Mar 14, 2009 6:54 pm
Posts: 5
Seeing updates to these libraries always makes me want to get back into the homebrew scene headfirst ^_^ Congrats on yet another release! :D

Mon Apr 07, 2014 4:59 pm

Joined: Wed Jun 02, 2010 3:14 am
Posts: 52
Location: United States
awesome thanks. :)
keep up the good work.
i enjoy seeing updates to libnds & devkitarm.

Thu Apr 10, 2014 8:54 pm

Joined: Sun Dec 28, 2008 9:34 pm
Posts: 7
When I use this new version i've got an error : (I use c99 mode)

c:\devkitPro\libnds\include\nds\arm9\videoGL.h||In function 'glFlush':|
c:\devkitPro\libnds\include\nds\arm9\videoGL.h|731|error: 'asm' undeclared (first use in this function)|
c:\devkitPro\libnds\include\nds\arm9\videoGL.h|731|note: each undeclared identifier is reported only once for each function it appears in|
c:\devkitPro\libnds\include\nds\arm9\videoGL.h|731|error: expected ';' before 'volatile'|

I've replaced asm with __asm__ for the moment...

Tue Aug 12, 2014 8:59 am

Joined: Fri Dec 12, 2008 7:38 pm
Posts: 21
Thanks A LOT for these updates.

If you find time to update gcc and other libs, please keep doing it :wink:

Sun Oct 26, 2014 8:55 pm

Joined: Mon Jan 05, 2015 1:14 pm
Posts: 1
awesome thanks. :)
keep up the good work.
i enjoy seeing updates to libnds & devkitarm.


Mon Jan 05, 2015 1:17 pm
Display posts from previous:  Sort by  
Reply to topic   [ 6 posts ] 

Who is online

Users browsing this forum: Bing [Bot] and 1 guest

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
  Powered by phpBB® Forum Software © phpBB Group
Designed by ST Software.
Get devkitPro at Fast, secure and Free Open Source software downloads